<?php
if (!defined ('FAST_FILE_SEARCH'))
{
	header ("Location: index.php");
	die ("");
}

?>

<br />
<table width="<?php echo $menu_width; ?>" border="0" cellpadding="1" cellspacing="0"><tr><td bgcolor="<?php echo $color_border; ?>">
<table width="100%" border="0" cellpadding="3" cellspacing="0">
<tr><td bgcolor="<?php echo $color_wt; ?>"><b><?php echo $tr["Help"]; ?></b></td></tr>
<tr><td bgcolor="<?php echo $color_wb; ?>">
<table border="0" cellpadding="3" cellspacing="0">
<?php
switch ($lang)
{
	default:
	case "en":
?>
<tr><td><b>List of files</b></td><td>Some FTP servers contain a file with list of files that are on the FTP server. When the name of this file is specified the crawling of FTP server is much faster because the list of files will be received from this file and not by walking through the directory tree.</td></tr>
<tr><td><b>Period</b></td><td>Host will be scanned once per <i>period</i> complete crawls. If <i>period</i> = 0 host will never be crawled.</td></tr>
<tr><td><b>Counter</b></td><td>Host will be scanned when <i>counter</i> &gt;= <i>period</i>, <i>counter</i> is incremented during each complete crawl.</td></tr>
<?php
		break;
	case "bg":
?>
<tr><td><b>  </b></td><td> FTP       ,     FTP .       ,   FTP     -,                  .</td></tr>
<tr><td><b></b></td><td>       <i></i>    . o <i></i> = 0,      .</td></tr>
<tr><td><b></b></td><td>     <i></i> &gt;= <i></i>, <i></i>        .</td></tr>
<?php
		break;
	case "cs":
?>
<tr><td><b>Seznam soubor</b></td><td>Na nkterch FTP serverech se nachz soubor se seznamem soubor na FTP serveru. Kdy je zadno jmno tohoto souboru, prohledvn FTP serveru je o hodn rychlej, nebo seznam soubor se zsk z tohoto souboru a ne prochzenm adresovho stromu.</td></tr>
<tr><td><b>Perioda</b></td><td>Server bude prohledn jednou za <i>periodu</i> kompletnch prohledn st. Pokud <i>perioda</i> = 0, server nebude nikdy prohledn.</td></tr>
<tr><td><b>Poitadlo</b></td><td>Server bude prohledn, jakmile <i>poitadlo</i> &gt;= <i>perioda</i>, <i>poitadlo</i> se zvyuje o 1 bhem kadho kompletnho prohledn st.</td></tr>
<?php
		break;
	case "de":
?>
<tr><td><b>Dateiliste</b></td><td>Einige FTP-Server enthalten eine Datei mit der Liste von Dateien, die auf dem Server zu finden sind. Wenn der Name dieser Datei angegeben wird, beschleunigt es das Durchsuchen des Servers wesentlich, weil die Dateiliste dann eben aus dieser Datei entnommen wird, anstatt den kompletten Server zu durchsuchen.</td></tr>
<tr><td><b>Periode</b></td><td>Der Server wird jedes n-te Mal einer vollst&auml;ndigen Durchsuchung durchsucht, wobei n dem Wert von <i>Periode</i> entspricht. Der Server wird niemals durchsucht, falls die <i>Periode</i> = 0 ist.</td></tr>
<tr><td><b>Z&auml;hler</b></td><td>Der Server wird durchsucht, wenn der <i>Z&auml;hler</i> &gt;= <i>Periode</i> ist. Der <i>Z&auml;hler</i> wird w&auml;hrend jeder vollst&auml;ndigen Durchsuchung um 1 erh&ouml;ht.</td></tr>
<?php
		break;
	case "es":
?>
<tr><td><b>Listado de ficheros</b></td><td>Algunos servidores FTP contienen un fichero con un listado de los ficheros que se encuentran en elservidor. Cuando el nombre de este fichero es especificado el escaneo del servidor FTP es mucho ms rpido debido a que se utilizar este listado de ficheros en lugar de recorrer la estructura de directorios.</td></tr>
<tr><td><b>Periodo</b></td><td>El servidor ser escaneado una vez cada <i>periodo</i> completamente. Si el <i>periodo</i> = 0 el servidor no ser escaneado.</td></tr>
<tr><td><b>Contador</b></td><td>El servidor ser escaneado cuando <i>contador</i> &gt;= <i>periodo</i>, <i>contador</i> es incrementado durante cada escaneo completo.</td></tr>
<?php
		break;
	case "fr":
?>
<tr><td><b>Liste des fichiers</b></td><td>Certains serveurs FTP disposent d'un fichier qui contient la liste des fichiers disponibles sur le serveur. Si le nom de ce fichier est spcifi, l'ajout des fichiers dans le moteur de recherche sera beaucoup plus rapide car il sera devenu inutile de parcourir tous les rpertoires.</td></tr>
<tr><td><b>Periode</b></td><td>L'hte sera scann une fois par <i>priode</i> de scans complets. Si la <i>priode</i> vaut 0 l'hte ne sera jamais scann.</td></tr>
<tr><td><b>Compteur</b></td><td>L'hte sera scann quand <i>compteur</i> &gt;= <i>priode</i>, <i>compteur</i> est incrment pandant chaque scan complet.</td></tr>
<?php
		break;
	case "hu":
?>
<tr><td><b>Fjl lista</b></td><td>Nhny FTP szerver sajt fjl- s knyvtrlistt tartalmaz. Ennek megadsval a fjlok s knyvtrak listja gyorsabban lekrdezhet, mert nincs szksg az egesz knyvtrfa ttekintsre.</td></tr>
<tr><td><b>Peridus</b></td><td>A szerver minden <i>peridus</i>-i teljes frissts sorn frissl. Ha az <i>peridus</i> = 0, a host sosem lesz frisstve. Ha az <i>peridus</i> = 3, minden 3. teljes frissts alkalmval frisslnek az adatok.</td></tr>
<tr><td><b>Szmll</b></td><td>A szerver csak akkor lesz frisstve, ha a <i>szmll</i> &gt;= <i>peridus</i>, <i>szmll</i> rtke eggyel n minden teljes frissts utn.</td></tr>
<?php
		break;
	case "lt":
?>
<tr><td><b>Fail sraas</b></td><td>Kai kurie serveriai turi fail, kuriame yra surayta k tas serveris saugoja. Kai is failas yra nurodomas FTP paieka serveryje pagreitja, todl kad nuskaitoma i to failo, o neskaitomas visos serverio direktorijos.</td></tr>
<tr><td><b>Periodas</b></td><td>Hostas bus nuskanuotas viena kart per <i>period</i> visikai ltai. Jei <i>periodas</i> = 0 hostas daugiau niekada nebus ltai skanuojamas.</td></tr>
<tr><td><b>Skaitliukas</b></td><td>Hostas bus skanuojamas kai<i> skaitliukas</i> &gt;= <i>periodui</i>, <i>skaitliukas</i> yra padidinamas per kiekvien lt skanavim.</td></tr>
<?php
		break;
	case "nb":
?>
<tr><td><b>Filliste</b></td><td>Noen FTP-servere inneholder en liste over filer p serveren. Dersom navnet p denne filen spesifiseres vil gjennomskingen av FTP-serveren g mye raskere siden listen som genereres kommer fra denne filen og ikke ved gjnnomsking av katalogstrukturen.</td></tr>
<tr><td><b>Periode</b></td><td>Det skes gjennom Host en gang pr. <i>periode</i>. Dersom <i>periode</i> = 0 blir maskin aldri gjennomskt.</td></tr>
<tr><td><b>Teller</b></td><td>Server blir gjennomskt hver gang <i>teller</i> &gt;= <i>periode</i>, <i>teller</i> teller inkrementeres for hver gjennomfrt sking.</td></tr>
<?php
		break;
	case "nl":
?>
<tr><td><b>Lijst met bestanden</b></td><td>Sommige FTP servers hebben een bestand met daarin een lijst van alle bestanden op die FTP server. Als de naam van dit bestand wordt meegeven, gaat het doorzoeken van de FTP server veel sneller, omdat alleen deze lijst opgehaald wordt en niet de hele bestandsstructuur doorlopen hoeft te worden.</td></tr>
<tr><td><b>Periode</b></td><td>Systeem wordt eens per <i>periode</i> volledige indexeringen geindexeerd. Als de <i>periode</i> = 0 dan zal het systeem nooit geindexeerd worden.</td></tr>
<tr><td><b>Teller</b></td><td>Systeem wordt geindexeerd, als geldt <i>teller</i> &gt;= <i>periode</i>, <i>teller</i> wordt opgehoogd na iedere volledige indexering.</td></tr>
<?php
		break;
	case "pl":
?>
<tr><td><b>Lista plikw</b></td><td>Niektre serwery FTP zawieraj plik z lista wszystkich plikw na danym serwerze. Jeli zostanie podana nazwa tego pliku, wyszukiwanie zostanie dramatycznie przyspieszona, poniewa lista plikw bdzie pochodzia z owego pliku, a nie z czasochonnego przeszukiwania katalogw.</td></tr>
<tr><td><b>Okres</b></td><td>Host bdzie skanowany co pewien <i>okres</i> penego skanowania sieci. Jeli <i>okres</i> = 0, wwczas host nigdy nie bdzie skanowany.</td></tr>
<tr><td><b>Licznik</b></td><td>Host bdzie skanowany jeli <i>licznik</i> &gt;= <i>okres</i>, <i>licznik</i> jest zwikszany przy kadym penym skanowaniu sieci.</td></tr>
<?php
		break;
	case "ro":
?>
<tr><td><b>Lista cu fişiere</b></td><td>Unele servere FTP au un fişier care conţine o listă de fişiere care se află pe serverul FTP. Când numele acestui fişier este specificat, scanarea serverului FTP este mult mai rapidă deoarece lista cu fişiere va fi luată din acest fişier şi nu prin scanarea arborelui de directoare.</td></tr>
<tr><td><b>Perioada</b></td><td>Gazda va fi scanată o dată per <i>perioada</i> scanări complete. Dacă <i>perioada</i> = 0 gazda nu va fi scanată.</td></tr>
<tr><td><b>Contor</b></td><td>Gazda va fi scanată când <i>contor</i> &gt;= <i>perioada</i>, <i>contor</i> este incrementat în timpul fiecărei scanări complete.</td></tr>
<?php
		break;
	case "ru":
?>
<tr><td><b> </b></td><td> FTP       .     ,   FTP    ,    -  ,     .</td></tr>
<tr><td><b></b></td><td>    <i></i>   .  <i></i> = 0,     .</td></tr>
<tr><td><b></b></td><td>  ,  <i></i> &gt;= <i></i>, <i></i>       .</td></tr>
<?php
		break;
	case "sk":
?>
<tr><td><b>Zoznam sborov</b></td><td>Na niektorch FTP serveroch je uloen sbor obsahujci zoznam sborov prstupnch na FTP. Pokia uvediete nzov tohto sboru je prehadvanie vrazne rchlejie pretoe sa zoznam sborov zska z tohoto sboru a nie prechdzanm adresrov.</td></tr>
<tr><td><b>Perida</b></td><td>Server sa bude prehadva raz za <i>peridu</i> kompletnch prehadan siete. Pokia <i>perida</i> = 0, server sa nebude prehadva nikdy.</td></tr>
<tr><td><b>Potadlo</b></td><td>Server sa prehad ke <i>potadlo</i> &gt;= <i>perida</i>, <i>potadlo</i> sa zvyuje o 1 pri kadom plnom prehadvan siete.</td></tr>
<?php
		break;
	case "uk":
?>
<tr><td><b> ̦</b></td><td>˦ FTP    -  Ӧ ϧ ̦.     ,  FTP    ,    -  , Φ Φ  Ӧ Ҧ.</td></tr>
<tr><td><b>Ҧ</b></td><td>    Ҧ   .  Ҧ = 0,  Φ   .</td></tr>
<tr><td><b></b></td><td>  ,  ̦ &gt;= Ҧ, ̦ ¦դ   Ц   .</td></tr>
<?php
		break;
}
if ($is_admin)
{
	switch ($lang)
	{
		default:
		case "en":
?>
<tr><td><b>Scan order</b></td><td>The order of the hosts they will be crawled in. This value can be used to specify that some hosts shall be crawled before others and vice versa. Hosts with lowest <i>scan order</i> will be crawled first, when several hosts have the same <i>scan order</i> they will be crawled in the alphabetical order of their names.</td></tr>
<tr><td><b>Expire count</b></td><td>Host was unreacheable during the time period of <i>expire count</i> complete crawls. When this value reaches the number specified in configuration (<?php echo $help_expire; ?>) host will be deleted from database.</td></tr>
<?php
			break;
		case "bg":
?>
<tr><td><b></b></td><td>  ( -128  127)  ,      .   - <i></i>    ;     <i></i>,      .</td></tr>
<tr><td><b>  </b></td><td>   ,       .          (<?php echo $help_expire; ?>),       .</td></tr>
<?php
			break;
		case "cs":
?>
<tr><td><b>Poad prohledvn</b></td><td>Poad, v nm budou servery prohledvny. Tato hodnota se d pout k uren, e nkter servery maj bt prohledny dv ne ostatn a naopak. Servery s ni hodnotou <i>poad prohledvn</i> budou prohledny dv, pokud nkolik server m stejnou hodnotu <i>poad prohledvn</i>, budou prohledny v abecednm poad jejich jmen.</td></tr>
<tr><td><b>Poitadlo nedostupnosti</b></td><td>Hodnota <i>poitadla nedostupnosti</i> udv, bhem kolika poslednch kompletnch prohledn st byl server nedostupn. Kdy tato hodnota doshne hodnoty uveden v konfiguraci (<?php echo $help_expire; ?>), server bude vymazn z databze.</td></tr>
<?php
			break;
		case "de":
?>
<tr><td><b>Suchreihenfolge</b></td><td>Die Reihenfolge in der die Server durchsucht werden. Dieser Wert kann dazu benutzt werden, dass einige Server vor anderen durchsucht werden - und umgekehrt. Server mit niedrigstem Wert in der <i>Suchreihenfolge</i> werden als erstes durchsucht. Sollten mehrere Server die selbe <i>Suchreihenfolge</i> haben, werden diese nach der alphabetischen Reihenfolge ihres Namens durchsucht.</td></tr>
<tr><td><b>Verfallsz&auml;hler</b></td><td>Der Server war w&auml;hrend der vollst&auml;ndigen Durchsuchungen so oft nicht erreichbar, wie es der <i>Verfallsz&auml;hler</i> angibt. Wenn dieser Wert den Wert, der in der Konfiguration angegeben ist (<?php echo $help_expire; ?>) &uuml;berschreitet, wird der Server aus der Datenbank gel&ouml;scht.</td></tr>
<?php
			break;
		case "es":
?>
<tr><td><b>Orden de escaneo</b></td><td>El orden en el que los servidores sern escaneados. Este valor puede ser usado para especificar cuando algunos servidores deberan ser escaneados antes que otros y viceversa. Servidores con menor <i>orden de escaneo</i> se escanearn primero, cuando varios servidores tengan el mismo <i>orden de escaneo</i> sern escaneados por orden alfabtico.</td></tr>
<tr><td><b>Tiempo de expiracin</b></td><td>El servidor fu inalcanzable durante el perodo de tiempo <i>tiempo de expiracin</i> en un escaneo completo. Cuando este valor alcanza el nmero especificado en la configuracin (<?php echo $help_expire; ?>) el servidor ser borrado de la base de datos.</td></tr>
<?php
			break;
		case "fr":
?>
<tr><td><b>Ordre de scan</b></td><td>L'ordre dans lequel les htes seront scanns. Catte valeur peut tre utilise pour que certains htes soient scanns avant d'autres. Les htes avec le plus petit <i>ordre de scan</i> seront scanns en premier. Quand plusieurs htes ont le meme <i>ordre de scan</i> ils seront scanns dans l'ordre alphabetique.</td></tr>
<tr><td><b>Limite d'expiration</b></td><td>Si l'hte a t inaccessible pendant la dure de la <i>limite d'expiration</i> pendant les scans complets, un compteur est incrment. Quand ce compteur atteint un nombre spcifi dans la configuration (<?php echo $help_expire; ?>), cet hte sera supprim de la base de donnes.</td></tr>
<?php
			break;
		case "hu":
?>
<tr><td><b>Frisstsi sorszm</b></td><td>A szerverek frisstsi sorrendje. Ez az rtk arra hasznlhat, hogy az egyik szerver hamarabb frissljn, mint a msik. A legkisebb sorszm szerver frissl leghamarabb. Az azonos sorszmak nevk abc sorrendje alapjn frisslnek.</td></tr>
<tr><td><b>Elvls</b></td><td>Megadja, hogy hny teljes frissts alkalmval volt elrhetetlen a szerver. Ahogy ez a szm elri a konfigurcis fjlban meghatrozottat (<?php echo $help_expire; ?>), a szerver trldik..</td></tr>
<?php
			break;
		case "lt":
?>
<tr><td><b>Skanavimo usakymas</b></td><td>Usakymas ltai skanuojamo hosto. i funkcija gali bti naudojama kurie hostai turi bti ltai nuskanuoti prie sekanius ir atvirkiai. Hostai su ltu <i>skanavimo usakymu</i> pirmiausia bsu nuskanuoti ltai, tada kelet kit host turini t pat <i>skanavimo usakym</i> bus nuskanuoti pagal alfabeto raidi eilikum..</td></tr>
<tr><td><b>Pasibaig skaitliukas</b></td><td>Hostas buvo nepasiekiamas. Kai i funkcija pasiekia nustatyt konfigracijoje skaii (<?php echo $help_expire; ?>) hostas bus itrintas i duomen bazs.</td></tr>
<?php
			break;
		case "nl":
?>
<tr><td><b>Scan volgorde</b></td><td>De volgorde waarin de systemen geindexeerd worden. Deze waarde kan er voor zorgen dat bepaalde systemen voor of na andere worden geindexeerd. Systemen met de laagste <i>scan volgorde</i> zullen het eerst geindexeerd worden, verschillende systemen met dezelfde <i>scan volgorde</i> worden alfabetisch geindexeerd.<td></tr>
<tr><td><b>Indexeer pogingen</b></td><td>Tijdens <i>indexeer pogingen</i> was het niet mogelijk om een volledige indexering uit te voeren op het systeem. Als <i>indexeer pogingen</i> de maximale waarde uit het configuratiebestand (<?php echo $help_expire; ?>) bereikt, wordt het systeem verwijderd uit de database.</td></tr>
<?php
			break;
		case "pl":
?>
<tr><td><b>Kolejno skanowania</b></td><td>Kolejno wg. ktrej zostan przeskanowane hosty. Ta warto moe zosta uyta by okreli, ktre hosty maj by skanowane przed innymi i vice versa. Hosty z ustawion najnisz <i>kolejnoci skanowania</i> bd skanowane pierwsze, a gdy kilka ma t sam <i>kolejno skanowania</i> bd skanowane zgodnie z alfabetycznym porzdkiem ich nazw.</td></tr>
<tr><td><b>Licznik wyganicia</b></td><td>Jeli host by niedostpny podczas penego skanowania sieci, to jest zwikszany jego <i>licznikiem wyganicia</i>. Jeli osignie on warto podan w pliku konfiguracyjnym (<?php echo $help_expire; ?>) wwczas host zostanie usunity z bazy.</td></tr>
<?php
			break;
		case "ro":
?>
<tr><td><b>Ordinea de scanare</b></td><td>Ordinea în care gazdele vor fi scanate. Această valoare poate fi folosită pentru a specifica faptul ca unele gazde vor fi scanate înaintea altora şi vice versa. Gazdele cu cea mai mică <i>ordine de scanare</i> vor fi scanate primele, dacă mai multe gazde au aceeaşi <i>ordine de scanare</i> vor fi scanate în ordine alfabetică.</td></tr>
<tr><td><b>Contor expirări</b></td><td>Gazda a fost inaccesibilă de-a lungul a <i>contor expirări</i> scanări complete. Când această valoare atinge numărul specificat în fişierul de configurare (<?php echo $help_expire; ?>), gazda va fi ştearsă din baza de date.</td></tr>
<?php
			break;
		case "ru":
?>
<tr><td><b></b></td><td>  ( -128  127)  ,     .     <i></i>   ,      <i></i>,      .</td></tr>
<tr><td><b> </b></td><td>,     ,   <i> </i>  .      (<?php echo $help_expire; ?>),      .</td></tr>
<tr><td><b></b></td><td> <i></i> ,         .</td></tr>
<?php
			break;
		case "sk":
?>
<tr><td><b>Poradie prehadvania</b></td><td>Poradie v akom bud servery prehadvan. Tto hodnota me by pouit na urenie, ktor servery maj by prehadan skr ako ostatn a naopak. Servery s niou hodnotou <i>poradia prehadvania</i> bud prehadvane skr. Pokia m niekoko serverov rovnak hodnotu <i>poradia prehadvania</i>, bud prehadvan v abecednom porad.</td></tr>
<tr><td><b>Potadlo nedostupnosti</b></td><td>Hodnota <i>potadla nedostupnosti</i> hovor, poas kokch kompletnch prehadan siete bol server nedostupn. Ke tto hodnota dosiahne vekos uveden v konfigurcii (<?php echo $help_expire; ?>), server bude vymazan z databzy.</td></tr>
<?php
			break;
		case "uk":
?>
<tr><td><b>Ҧ</b></td><td>  (צ -128  127)  ,    Φ .     <i>Ҧ</i>  Φ Φ,  ˦ Ԧ   <i>Ҧ</i>,   Φ   .</td></tr>
<tr><td><b> Ԧ</b></td><td>,  Ц   , ¦դ צ <i>̦ Ԧ</i>  .     (<?php echo $help_expire; ?>),      .</td></tr>
<tr><td><b></b></td><td> <i></i> ,       Ц .</td></tr>
<?php
			break;
	}
}
?>
</table>
</td></tr>
</table>
</td></tr></table>
